This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14595 - <data> without value="" in example
Summary: <data> without value="" in example
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-29 21:09 UTC by contributor
Modified: 2012-07-18 18:47 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-10-29 21:09:09 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#the-nav-element
Complete: http://www.whatwg.org/c#the-nav-element

Comment:
<data> without value="" in example

Posted from: 81.234.240.242
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.220 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-10-29 21:11:02 UTC
<data itemprop="dateModified">2009-04-01</data> would be an empty property, since unlike <time>, <data> does not fall back to the text content. This example should just use <span>, I guess.
Comment 2 Ian 'Hixie' Hickson 2011-10-30 17:48:05 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-10-30 17:49:59 UTC
Checked in as WHATWG revision r6787.
Check-in comment: should have paid more attention when doing the <time>/<data> edit...
http://html5.org/tools/web-apps-tracker?from=6786&to=6787